Package: org.grails.core.io

## [Java] Class DefaultResourceLocator

- org.grails.core.io.DefaultResourceLocator

- All Implemented Interfaces and Traits:
    PluginManagerAware, ResourceLocator, org.springframework.context.ResourceLoaderAware

      public class DefaultResourceLocator
      extends java.lang.Object

  Default ResourceLocator implementation that doesn't take into account servlet loading.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `CLOSURE_MARKER` |
    `static java.lang.String` | `FILE_SEPARATOR` |
    `protected static org.springframework.core.io.Resource` | `NULL_RESOURCE` |
    `static java.lang.String` | `WEB_APP_DIR` |
    `static java.lang.String` | `WILDCARD` |
    `protected java.util.Map<java.lang.String, org.springframework.core.io.Resource>` | `classNameToResourceCache` |
    `protected java.util.List<java.lang.String>` | `classSearchDirectories` |
    `protected org.springframework.core.io.ResourceLoader` | `defaultResourceLoader` |
    `protected org.springframework.core.io.support.PathMatchingResourcePatternResolver` | `patchMatchingResolver` |
    `protected GrailsPluginManager` | `pluginManager` |
    `protected java.util.List<java.lang.String>` | `resourceSearchDirectories` |
    `protected java.util.Map<java.lang.String, org.springframework.core.io.Resource>` | `uriToResourceCache` |
    `protected boolean` | `warDeployed` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.springframework.core.io.Resource` | `findResourceForClassName(java.lang.String className)`
    `` | `org.springframework.core.io.Resource` | `findResourceForURI(java.lang.String uri)`
    `` | `protected org.springframework.core.io.Resource` | `findResourceInBinaryPlugins(DefaultResourceLocator.PluginResourceInfo info)`
    `` | `protected org.springframework.core.io.ResourceLoader` | `getDefaultResourceLoader()`
    `` | `void` | `setPluginManager(GrailsPluginManager pluginManager)`
    `` | `void` | `setResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)`
    `` | `void` | `setSearchLocation(java.lang.String searchLocation)`
    `` | `void` | `setSearchLocations(java.util.Collection<java.lang.String> searchLocations)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String CLOSURE_MARKER

    - #### public static final java.lang.String FILE_SEPARATOR

    - #### protected static final org.springframework.core.io.Resource NULL_RESOURCE

    - #### public static final java.lang.String WEB_APP_DIR

    - #### public static final java.lang.String WILDCARD

    - #### protected java.util.Map<java.lang.String, org.springframework.core.io.Resource> classNameToResourceCache

    - #### protected java.util.List<java.lang.String> classSearchDirectories

    - #### protected org.springframework.core.io.ResourceLoader defaultResourceLoader

    - #### protected org.springframework.core.io.support.PathMatchingResourcePatternResolver patchMatchingResolver

    - #### protected GrailsPluginManager pluginManager

    - #### protected java.util.List<java.lang.String> resourceSearchDirectories

    - #### protected java.util.Map<java.lang.String, org.springframework.core.io.Resource> uriToResourceCache

    - #### protected boolean warDeployed

  - ### Method Detail

    - #### public org.springframework.core.io.Resource findResourceForClassName(java.lang.String className)

    - #### public org.springframework.core.io.Resource findResourceForURI(java.lang.String uri)

    - #### protected org.springframework.core.io.Resource findResourceInBinaryPlugins(DefaultResourceLocator.PluginResourceInfo info)

    - #### protected org.springframework.core.io.ResourceLoader getDefaultResourceLoader()

    - #### public void setPluginManager(GrailsPluginManager pluginManager)

    - #### public void setResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)

    - #### public void setSearchLocation(java.lang.String searchLocation)

    - #### public void setSearchLocations(java.util.Collection<java.lang.String> searchLocations)